import { V as a, d as _, f as h, u as b, r as g, c as N, o as O, w as q, j as s, ao as x, l as r, X as P, __tla as __tla_0 } from "./index-9PRMimni.js";
import { B as R } from "./BasicForm-dL_oCSPM.js";
import { j as B } from "./template-rpthWlT9.js";
import { u as I } from "./useForm-CKmgcynv.js";
import "./Render.vue_vue_type_script_lang-DKUYY0Zw.js";
import "./SingleImageUpload-CNx4b9eC.js";
import "./ImageUpload.vue_vue_type_style_index_0_scoped_cb086928_lang-D-28kXvw.js";
import "./componentSetting-DVhNDBTO.js";
import "./ImageUpload-DUsnro3W.js";
import "./vuedraggable.umd-Co2xEC3p.js";
import "./BasicUpload.vue_vue_type_style_index_0_scoped_a4d0e930_lang-DxRbtP01.js";
import "./tabsView-BXskTdVh.js";
import "./BasicForm.vue_vue_type_style_index_0_scoped_b9e995ec_lang-CEvcLwxD.js";
import "./propTypes-CebMRUpe.js";
import "./BasicSelect-C_uwzMkE.js";
import "./BasicSelect.vue_vue_type_style_index_0_scoped_772d51cc_lang-Brp6PjEU.js";
import "./dictionary-BRse4lkf.js";
import "./index-DkvzUEqh.js";
import "./index-kKnqLkWM.js";
import "./AutoComplete-Dv1Bqed4.js";
import "./TreeSelect-BZh2DeCh.js";
import "./usePageCache-DluHn7Yy.js";
let ee;
let __tla = Promise.all([
    (()=>{
        try {
            return __tla_0;
        } catch  {}
    })()
]).then(async ()=>{
    const v = await B(), { t: o } = a();
    function C(e) {
        return {
            schemas: [
                {
                    field: "reportNo",
                    component: "NInput",
                    label: o("hsqe.deficiency.reportDeptOrShipsName"),
                    componentProps: {
                        disabled: e?.readOnly
                    }
                },
                {
                    field: "equipmentId",
                    component: "NInput",
                    label: o("hsqe.deficiency.reportedBy"),
                    componentProps: {
                        disabled: e?.readOnly
                    }
                },
                {
                    field: "expirationTime",
                    component: "NDatePicker",
                    label: o("hsqe.deficiency.date"),
                    componentProps: {
                        valueFormat: "yyyy-MM-dd",
                        type: "date",
                        disabled: e?.readOnly
                    }
                },
                {
                    field: "basicDescription",
                    component: "NInput",
                    label: o("hsqe.deficiency.descriptionOfNonComformity"),
                    componentProps: {
                        type: "textarea",
                        disabled: e?.readOnly
                    }
                },
                {
                    field: "vesselResponsibleId",
                    component: "NSelect",
                    label: o("hsqe.deficiency.natureOfNonComformity"),
                    componentProps: {
                        options: v,
                        disabled: e?.readOnly
                    }
                },
                {
                    field: "basicDescription",
                    component: "NInput",
                    label: o("hsqe.deficiency.limitOfCorrectiveRequirements"),
                    componentProps: {
                        type: "textarea",
                        disabled: e?.readOnly
                    }
                }
            ]
        };
    }
    ee = _({
        __name: "index",
        setup (e, { expose: t }) {
            const { t: c } = a();
            h(), b();
            const n = g([]), [p, { setFieldsValue: D, getFieldsValue: m }] = I({
                schemas: n,
                labelWidth: "auto",
                layout: "horizontal",
                gridProps: {
                    cols: 3,
                    xGap: 15
                },
                showActionButtonGroup: !1
            }), l = C({
                readOnly: !0
            });
            n.value = l.schemas;
            async function d() {
                const i = m();
                console.log(i);
            }
            return t({
                submit: d
            }), (i, F)=>{
                const u = x, f = R, y = P;
                return O(), N(y, null, {
                    default: q(()=>[
                            s(u, {
                                title: r(c)("hsqe.deficiency.nonComformityReport")
                            }, null, 8, [
                                "title"
                            ]),
                            s(f, {
                                class: "mt-3",
                                onRegister: r(p)
                            }, null, 8, [
                                "onRegister"
                            ])
                        ]),
                    _: 1
                });
            };
        }
    });
});
export { ee as default, __tla };
